Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.opengis.annotation
Annotation Type Association

    @Documented
    @Target(value=METHOD)
    @Retention(value=SOURCE)
    public @interface Association

If a method is part of a UML association, the association name. Annotated methods shall expect no argument. The association source is the enclosing interface. The association target is inferred from the return type.

Since:
  GeoAPI 2.1

Required Element Summary
`String` | `value` Association name.

Element Detail

### value

    public abstract String value

  Association name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.